View Issue Details

IDProjectCategoryView StatusLast Update
0032400LazarusLCLpublic2017-09-15 20:38
ReporterAlexey Tor.Assigned ToOndrej Pokorny 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWin10, Linux gtk2OSOS Version
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.8 
Summary0032400: Treeview Tooltips shown even if disabled
DescriptionUser of CudaText sees it on Code-Tree on Win32.
i see it on Linux too.
Tooltips prop is set to False.

a) now tooltips hidden if i hover mouse over long items.
b) bug is: tooltips still show if i scroll tree by mouse wheel (and cursor is over long items)
TagsNo tags attached.
Fixed in Revision55868
LazTarget1.8
Widgetset
Attached Files
  • tip-fix.diff (700 bytes)
    Index: lcl/include/treeview.inc
    ===================================================================
    --- lcl/include/treeview.inc	(revision 55830)
    +++ lcl/include/treeview.inc	(working copy)
    @@ -4355,6 +4355,8 @@
       MaxHintWidth: Integer;
       TransparentHints: Boolean;
     begin
    +  if not (tvoToolTips in FOptions) then exit;
    +
       if FHintWnd=nil then
       begin
         FHintWnd:=THintWindow.Create(Self);
    @@ -5571,8 +5573,7 @@
       inherited MouseMove(Shift, x, y);
       if (tvoAutoInsertMark in FOptions) then
         UpdateInsertMark(X,Y);
    -  if (tvoToolTips in FOptions) then
    -    UpdateTooltip(X, Y);
    +  UpdateTooltip(X, Y);
     end;
     
     procedure TCustomTreeView.MouseUp(Button: TMouseButton; Shift: TShiftState;
    
    tip-fix.diff (700 bytes)

Activities

Alexey Tor.

2017-09-12 12:59

reporter  

tip-fix.diff (700 bytes)
Index: lcl/include/treeview.inc
===================================================================
--- lcl/include/treeview.inc	(revision 55830)
+++ lcl/include/treeview.inc	(working copy)
@@ -4355,6 +4355,8 @@
   MaxHintWidth: Integer;
   TransparentHints: Boolean;
 begin
+  if not (tvoToolTips in FOptions) then exit;
+
   if FHintWnd=nil then
   begin
     FHintWnd:=THintWindow.Create(Self);
@@ -5571,8 +5573,7 @@
   inherited MouseMove(Shift, x, y);
   if (tvoAutoInsertMark in FOptions) then
     UpdateInsertMark(X,Y);
-  if (tvoToolTips in FOptions) then
-    UpdateTooltip(X, Y);
+  UpdateTooltip(X, Y);
 end;
 
 procedure TCustomTreeView.MouseUp(Button: TMouseButton; Shift: TShiftState;
tip-fix.diff (700 bytes)

Alexey Tor.

2017-09-12 13:00

reporter   ~0102802

Fix added: pls apply. UpdateTooltip is called in 2 places/ moved check of option into UpdateTooltip to use in both places.

Zeljan Rikalo

2017-09-12 19:36

developer   ~0102811

@Ondrej, can you take a look into this patch please.

Ondrej Pokorny

2017-09-12 19:41

reporter   ~0102812

@Zeljko: yes, of course. I wanted to assign the issue to myself.

Alexey Tor.

2017-09-15 14:22

reporter   ~0102851

Patch is simple (was needed 2 checks, now it is one check in UpdateTooltip);
Pls push to 1.8 release.

Ondrej Pokorny

2017-09-15 20:37

reporter   ~0102860

Sorry for the delay. Applied. Thanks. (+Will be merged to 1.8.)

Issue History

Date Modified Username Field Change
2017-09-11 20:08 Alexey Tor. New Issue
2017-09-12 12:59 Alexey Tor. File Added: tip-fix.diff
2017-09-12 13:00 Alexey Tor. Note Added: 0102802
2017-09-12 19:36 Zeljan Rikalo LazTarget => -
2017-09-12 19:36 Zeljan Rikalo Note Added: 0102811
2017-09-12 19:36 Zeljan Rikalo Assigned To => Ondrej Pokorny
2017-09-12 19:36 Zeljan Rikalo Status new => assigned
2017-09-12 19:41 Ondrej Pokorny Note Added: 0102812
2017-09-15 14:22 Alexey Tor. Note Added: 0102851
2017-09-15 20:37 Ondrej Pokorny Note Added: 0102860
2017-09-15 20:38 Ondrej Pokorny Fixed in Revision => 55868
2017-09-15 20:38 Ondrej Pokorny LazTarget - => 1.8
2017-09-15 20:38 Ondrej Pokorny Status assigned => resolved
2017-09-15 20:38 Ondrej Pokorny Fixed in Version => 1.8
2017-09-15 20:38 Ondrej Pokorny Resolution open => fixed